### Enumeration

# Camel MatchThreadsKind

since: 3.58

#### Declaration

    enum Camel.MatchThreadsKind

#### Description [src]

Kinds for “match-threads” search option.

Available since: 3.58

#### Members

`CAMEL_MATCH_THREADS_KIND_NONE`

  Do not match on threads.

  - Value: `0`
  - Available since: 3.58
`CAMEL_MATCH_THREADS_KIND_ALL`

  Include all related messages in the thread.

  - Value: `1`
  - Available since: 3.58
`CAMEL_MATCH_THREADS_KIND_REPLIES`

  Include replies of the message.

  - Value: `2`
  - Available since: 3.58
`CAMEL_MATCH_THREADS_KIND_REPLIES_AND_PARENTS`

  Include replies and parents.

  - Value: `3`
  - Available since: 3.58
`CAMEL_MATCH_THREADS_KIND_SINGLE`

  Include messages not being in any thread.

  - Value: `4`
  - Available since: 3.58
`CAMEL_MATCH_THREADS_KIND_NOT_ALL`

  Include messages not part of the `CAMEL_MATCH_THREADS_KIND_ALL` (Since: 3.58.2).

  - Value: `5`
  - Available since: 3.58